> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/rest-api/rooms/delete.md).

# Delete

To delete an existing room you need to execute a **DELETE** request against the **/rooms/:id** endpoint.

The **id** uniquely identifies the room and you can find it in the [create room](/reference/rest-api/rooms/create.md#response-200-ok) response.

{% hint style="danger" %}
This is a destructive operation which cannot be undone. If the deleted room is in-use -> all people will be kicked out of it and the video conference will immediately end.
{% endhint %}

{% hint style="danger" %}
By default related room resources are not deleted - e.g. if you have recordings, transcripts, chat for the room, they won't be deleted when deleting the room. If you insist on hard deleting all related room resources too, then[ execute](/reference/rest-api/rooms/delete/all-resources.md) a separate **DELETE** request to the **/rooms/:id/resources** endpoint. Other option is to set the "**delete\_resources**" param to **true** in the optional body of the DELETE **/rooms/:id/** request if your HTTP client supports bodies on DELETE requests.
{% endhint %}

{% hint style="info" %}
You can set the **expires\_at** room property which will automatically delete the room after the specified date and time is reached. For example - "**expires\_at**": "2024-09-05 12:30:00"
{% endhint %}

#### Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl --request DELETE \
  --url https://api.digitalsamba.com/api/v1/rooms/c39d7c40-7ff7-4faa-b06f-698a639a9523 \
  --user YOUR_TEAM_ID:YOUR_DEVELOPER_KEY
```

{% endtab %}

{% tab title="Java" %}

```java
import com.fasterxml.jackson.databind.ObjectMapper;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.util.Base64;
import java.util.Map;

String TEAM_ID = "YOUR_TEAM_ID";
String DEVELOPER_KEY = "YOUR_DEVELOPER_KEY";
String authorizationHeader = "Bearer " + Base64.getEncoder().encodeToString((TEAM_ID + ":" + DEVELOPER_KEY).getBytes());
//Put your room id or friendly_url (name) here - this value is just an example
String roomId = "c39d7c40-7ff7-4faa-b06f-698a639a9523";

HttpRequest request = HttpRequest.newBuilder()
  .DELETE()
  .uri(new URI("https://api.digitalsamba.com/api/v1/rooms/" + roomId))
  .header("Authorization", authorizationHeader)
  .build();

HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, BodyHandlers.ofString());

System.out.println("Status code: " + response.statusCode());
System.out.println("Body: " + response.body());
```

{% endtab %}
{% endtabs %}

**Response (204 -> No Content)**&#x20;

Response is empty because the room was deleted and there is no content to return.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/rooms/delete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
